Make Wayland::EGL optional again

Review Request #126202 - Created Nov. 30, 2015 and submitted

Information
Martin Flöser
kwin
Plasma/5.1
Reviewers
kwin
berner
This is needed to make KWin build-able on non-Linux, but is actually
only a workaround. The dependency should also be available on non-Linux.

This disables the EGL integration in the Wayland backend (QPainter still
available) and the EGL fallback in the qpa plugin (preferred context
sharing still available, but requires a working OpenGL Scene).

Only tried compiling with the dependency. Needs testing whether it works on the affected platforms.

Tobias Berner
Martin Flöser
Review request changed

Status: Closed (submitted)

Change Summary:

Submitted with commit d89777bcacb7b040076a783c7ef15558182407d0 by Martin Gräßlin to branch Plasma/5.5.
Loading...